%define  upstream_name EventLog
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.4
Release:	%mkrel 3
Summary:	Allows you to log events or audit trails into files or other storage spaces in
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch


%description
Allows you to log events or audit trails into files or other storage spaces
in
different formats.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/EventLog.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/EventLog.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/EventLog
fi

%files
%defattr(-,root,root)
%doc docs/EventLog/*
%{peardir}/data/EventLog/design/class_diagram.png
%{peardir}/data/EventLog/design/design.txt
%{peardir}/data/EventLog/design/eventlog.png
%{peardir}/data/EventLog/design/eventlog.xml
%{peardir}/data/EventLog/design/eventlog_writers.png
%{peardir}/data/EventLog/design/log-old.png
%{peardir}/data/EventLog/design/log-old.xml
%{peardir}/data/EventLog/design/logfile_activity.png
%{peardir}/ezc/EventLog/context.php
%{peardir}/ezc/EventLog/exceptions/writer_exception.php
%{peardir}/ezc/EventLog/exceptions/wrong_severity.php
%{peardir}/ezc/EventLog/interfaces/mapper.php
%{peardir}/ezc/EventLog/interfaces/writer.php
%{peardir}/ezc/EventLog/log.php
%{peardir}/ezc/EventLog/log_autoload.php
%{peardir}/ezc/EventLog/log_message.php
%{peardir}/ezc/EventLog/mapper/filter_rule.php
%{peardir}/ezc/EventLog/mapper/filterset.php
%{peardir}/ezc/EventLog/structs/log_entry.php
%{peardir}/ezc/EventLog/structs/log_filter.php
%{peardir}/ezc/EventLog/writers/writer_file.php
%{peardir}/ezc/EventLog/writers/writer_stack.php
%{peardir}/ezc/EventLog/writers/writer_syslog.php
%{peardir}/ezc/EventLog/writers/writer_unix_file.php
%{peardir}/ezc/autoload/log_autoload.php
%{xmldir}/EventLog.xml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.4-3.mga4
+ Revision: 504233
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 349922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 16 2011 spuhler <spuhler> 1.4-1.mga2
+ Revision: 124955
- imported package ezcomponents-EventLog

